#!/bin/sh

if grep install_to_mtd /proc/cmdline
then
    # space but not clear (for debuggees)
    echo
    echo
    echo
    echo
    echo Install requested, writing to /dev/mtdblock9. Please be patient...
    mount -t yaffs2 /dev/mtdblock9 /mnt/mtd
    cp -xdpr / /mnt/mtd/
    echo Install done.
    echo Removing SD card boot script - the card will no longer be bootable!
    echo   you can restore it by copying scriptcmd.orig to scriptcmd
    mount /dev/mmcblk0p1 /mnt/sd
    rm -f /mnt/sd/script/scriptcmd
    umount /mnt/sd
    umount /mnt/mtd
    echo Done! Rebooting in 5 seconds...
    sleep 5
    reboot
fi
